Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.imagemap
Class ImageMapPanelEventSupport

    java.lang.Object
      edu.stanford.smi.protegex.widget.imagemap.ImageMapPanelEventSupport

    public class ImageMapPanelEventSupport

extends Object

Description of the class

Author:
  William Grosso

Field Summary
`protected ArrayList` | `_listeners`

Constructor Summary
`ImageMapPanelEventSupport()`

Method Summary
`void` | `addImageMapPanelListener(ImageMapPanelListener newListener)`
`void` | `callLogicalClick(Point where)`
`void` | `callLogicalDrag(Point where)`
`void` | `callLogicalDragFinished(Point where)`
`void` | `callLogicalDragStarted(Point where)`
`void` | `callLogicalPress(Point where)`
`void` | `callLogicalRelease(Point where)`
`void` | `removeImageMapPanelListener(ImageMapPanelListener oldListener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _listeners

    protected ArrayList _listeners

Constructor Detail

### ImageMapPanelEventSupport

    public ImageMapPanelEventSupport()

Method Detail

### addImageMapPanelListener

    public void addImageMapPanelListener(ImageMapPanelListener newListener)

### callLogicalClick

    public void callLogicalClick(Point where)

### callLogicalDrag

    public void callLogicalDrag(Point where)

### callLogicalDragFinished

    public void callLogicalDragFinished(Point where)

### callLogicalDragStarted

    public void callLogicalDragStarted(Point where)

### callLogicalPress

    public void callLogicalPress(Point where)

### callLogicalRelease

    public void callLogicalRelease(Point where)

### removeImageMapPanelListener

    public void removeImageMapPanelListener(ImageMapPanelListener oldListener)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request